2019-06-25 03:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002053NetSurfRISC OS-specificpublic2015-03-10 10:42
ReporterRichard Porter 
Assigned ToSteve Fryatt 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformkRPC 300<HzOSRISC OSOS Version6.14
Product Version 
Target VersionFixed in Version3.1 
Summary0002053: "Open" input field too small.
DescriptionIt is possible to paste a long URL into the URL field at the top of the main window. However if you try to paste the same URL into the "Open URL" window (from the icon bar menu) it is likely to get truncated. Please make the latter field accept longer URLs.
Steps To ReproducePaste the following URL into the two fields:

http://www.mkweb.co.uk/News/BOB-Air-Ambulance/MKWeb-looks-back-on-the-BOB-air-ambulance-as-our-charity-of-the-year-for-2013-20140105090000.htm
TagsNo tags attached.
Fixed in CI build #1660
Reported in CI build #1543
URL of problem pagehttp://www.mkweb.co.uk/News/BOB-Air-Ambulance/MKWeb-looks-back-on-the-BOB-air-ambulance-as-our-charity-of-the-year-for-2013-20140105090000.htm
Attached Files

-Relationships
+Relationships

-Notes
John-Mark Bell

~0000154

John-Mark Bell (administrator)

Likely needs the text field's size increasing in the template.
Steve Fryatt

~0000180

Steve Fryatt (developer)

Open URL field length increased to 2047 characters. This brings NetSurf into line with common documented limits in some mainstream browsers.
Vincent Sanders

~0000676

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-01-05 16:57 Richard Porter New Issue
2014-01-05 17:08 John-Mark Bell Assigned To => Steve Fryatt
2014-01-05 17:08 John-Mark Bell Status new => assigned
2014-01-05 17:09 John-Mark Bell Note Added: 0000154
2014-01-26 23:12 Steve Fryatt Fixed in CI build # => 1660
2014-01-26 23:12 Steve Fryatt Note Added: 0000180
2014-01-26 23:12 Steve Fryatt Status assigned => resolved
2014-01-26 23:12 Steve Fryatt Fixed in Version => 3.1
2014-01-26 23:12 Steve Fryatt Resolution open => fixed
2015-03-10 10:42 Vincent Sanders Note Added: 0000676
2015-03-10 10:42 Vincent Sanders Status resolved => closed
+Issue History